<?php 


/**
 * Implements hook_form_alter().
 */
function perfarttimeline_form_alter(&$form, &$form_state, $form_id) {
	// dsm($form_id, 'form_id');

  if($form_id == 'search_block_form'){
  	// dsm($form, 'form');
  	$form['actions']['submit'] = array(
	    '#type' => 'image_button',
	    '#src' => drupal_get_path('theme', 'perfarttimeline') . '/images/search.png',
	    '#value' => t('Search'),
	  );
  }
}


function perfarttimeline_html_head_alter(&$head_elements) {
	unset($head_elements['system_meta_generator']);
	foreach ($head_elements as $key => $element) {
		if (isset($element['#attributes']['rel']) && $element['#attributes']['rel'] == 'canonical') {
		  unset($head_elements[$key]);
		}
		if (isset($element['#attributes']['rel']) && $element['#attributes']['rel'] == 'shortlink') {
			unset($head_elements[$key]);
		}
		if (isset($element['#attributes']['rel']) && $element['#attributes']['rel'] == 'alternate') {
			unset($head_elements[$key]);
		}
	}
}